lang/eieio - The NetBSD Packages Collection

Enhanced Integration of Emacs Interpreted Objects

EIEIO is a CLOS (Common Lisp Object System) compatibility layer. Due
to restrictions in the Emacs Lisp language, CLOS cannot be completely
supported, and a few functions have been added in place of setf.

What EIEIO supports

    1.A structured framework for the creation of basic classes with
      attributes and methods using singular inheritance similar to CLOS.
    2.Type checking, and slot unbinding.
    3.Method definitions similar to CLOS.
    4.Simple and complex class browsers.
    5.Edebug support for methods.
    6.Imenu updates.
    7.Byte compilation support of methods.
    8.Help system extensions for classes and methods.
    9.Automatic texinfo documentation generator.
   10.Several base classes for interesting tasks.
   11.Simple test suite.
   12.Public and private classifications for slots (extensions to CLOS)
   13.Customization support in a class (extension to CLOS)

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

editors/emacs26

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfeieio-0.17nb4.tgz
NetBSD 8.0earmv7hfeieio-0.17nb4.tgz
NetBSD 8.0earmv7hfeieio-0.17nb4.tgz
NetBSD 8.0i386eieio-0.17nb4.tgz
NetBSD 8.0i386eieio-0.17nb4.tgz
NetBSD 8.0powerpceieio-0.17nb4.tgz
NetBSD 8.0powerpceieio-0.17nb4.tgz
NetBSD 8.0powerpceieio-0.17nb4.tgz
NetBSD 8.0powerpceieio-0.17nb4.tgz
NetBSD 8.0x86_64eieio-0.17nb4.tgz
NetBSD 8.0x86_64eieio-0.17nb4.tgz
NetBSD 9.0aarch64eieio-0.17nb4.tgz
NetBSD 9.0aarch64eieio-0.17nb4.tgz
NetBSD 9.0aarch64eieio-0.17nb4.tgz
NetBSD 9.0alphaeieio-0.17nb4.tgz
NetBSD 9.0alphaeieio-0.17nb4.tgz
NetBSD 9.0alphaeieio-0.17nb4.tgz
NetBSD 9.0earmeieio-0.17nb4.tgz
NetBSD 9.0earmeieio-0.17nb4.tgz
NetBSD 9.0earmeieio-0.17nb4.tgz
NetBSD 9.0earmv6hfeieio-0.17nb4.tgz
NetBSD 9.0earmv6hfeieio-0.17nb4.tgz
NetBSD 9.0earmv6hfeieio-0.17nb4.tgz
NetBSD 9.0earmv7hfeieio-0.17nb4.tgz
NetBSD 9.0earmv7hfeieio-0.17nb4.tgz
NetBSD 9.0earmv7hfeieio-0.17nb4.tgz
NetBSD 9.0earmv7hfeieio-0.17nb4.tgz
NetBSD 9.0i386eieio-0.17nb4.tgz
NetBSD 9.0i386eieio-0.17nb4.tgz
NetBSD 9.0i386eieio-0.17nb4.tgz
NetBSD 9.0powerpceieio-0.17nb4.tgz
NetBSD 9.0powerpceieio-0.17nb4.tgz
NetBSD 9.0powerpceieio-0.17nb4.tgz
NetBSD 9.0powerpceieio-0.17nb4.tgz
NetBSD 9.0sh3eleieio-0.17nb4.tgz
NetBSD 9.0sh3eleieio-0.17nb4.tgz
NetBSD 9.0sparc64eieio-0.17nb4.tgz
NetBSD 9.0sparc64eieio-0.17nb4.tgz
NetBSD 9.0sparc64eieio-0.17nb4.tgz
NetBSD 9.0sparceieio-0.17nb4.tgz
NetBSD 9.0sparceieio-0.17nb4.tgz
NetBSD 9.0sparceieio-0.17nb4.tgz
NetBSD 9.0sparceieio-0.17nb4.tgz
NetBSD 9.0sparceieio-0.17nb4.tgz
NetBSD 9.0x86_64eieio-0.17nb4.tgz
NetBSD 9.0x86_64eieio-0.17nb4.tgz
NetBSD 9.0x86_64eieio-0.17nb4.tgz
NetBSD 9.0x86_64eieio-0.17nb4.tgz
NetBSD 9.0x86_64eieio-0.17nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.